function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i]; return arr2; } else { return Array.from(arr); } }

const aliases = {
	[SEND_USER_REVIEW_TO_SERVER]: action => {
		return (dispatch, getState) => {
			setTimeout(() => {
				const unauthReviews = action.data.unauthReviews;
				const uid = _.get(getState(), 'user.uid', null);
				const rating = _.get(unauthReviews, 'rating', -1);
				if (unauthReviews !== null && rating !== -1 && unauthReviews.step >= 4) {
					const tags = [].concat(_toConsumableArray(_.get(unauthReviews, 'childSafetyCategories', [])), _toConsumableArray(_.get(unauthReviews, 'reputationCategories', [])), _toConsumableArray(_.get(unauthReviews, 'safetyCategories', [])));
					const timestamp = Date.now() / 1000;
					dispatch(saveCommentAndReview(action.data.host, _.get(unauthReviews, 'comment', ''), timestamp, tags, rating, uid));
				}
			}, 1500);
		};
	},
	[LOGIN_ACTION]: action => {
		return (dispatch, getState) => {
			WotAuthApi.login(action.data.username, action.data.password).then(token => {
				dispatch({ type: SAVE_USER_TOKEN, data: { token: token } });
			}, reason => {
				app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
					[atob("ZWE=")]: "Login",
					[atob("ZWM=")]: "Error",
					[atob("ZWw=")]: reason.code
				});
				dispatch({ type: ERROR_USER_AUTH, data: { code: reason.code, message: reason.message } });
			});
		};
	},
	[SAVE_USER_TOKEN]: action => {
		try {
			webextApi.tabs.query({}, tabs => {
				for (let tab of tabs) {
					if (tab.url.match(SOCIAL_CALLBACK_URL)) {
						webextApi.tabs.remove(tab.id);
					}
				}
			});
		} catch (e) {
			;
		}
		return (dispatch, getState) => {
			WotAuthApi.getUser(action.data && action.data.token || getState().user.token).then(data => {
				webextApi.tabs.query({ active: true, lastFocusedWindow: true }, tabs => {
					const url = _.get(tabs[0], 'url', null) || _.filter(getState().tabs, { active: true })[0].url;
					const host = WotApi.getEncodedDomain(url);
					const unauthReviews = JSON.parse(JSON.stringify(_.get(getState(), `reviews.1['${host}']`, null)));
					dispatch({ type: SEND_USER_REVIEW_TO_SERVER, data: { host, unauthReviews } });
					dispatch({ type: SAVE_USER_DATA, data: _.merge(data, { token: action.data.token }), host });
				});
			}, reason => {
				app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
					[atob("ZWE=")]: "User",
					[atob("ZWM=")]: "Error",
					[atob("ZWw=")]: reason.code
				});
				dispatch({ type: ERROR_USER_AUTH, data: { code: reason.code, message: reason.message } });
			});
		};
	},
	[REGISTER_ACTION]: action => {
		return (dispatch, getState) => {
			var _action$data = action.data;
			let name = _action$data.name,
			    mail = _action$data.mail,
			    pass = _action$data.pass,
			    Pass2 = _action$data.Pass2;

			WotAuthApi.register(name, mail, pass, Pass2).then(token => {
				dispatch({ type: SAVE_USER_TOKEN, data: { token: token } });
				WotAuthApi.getUser(token).then(data => {
					dispatch({ type: SAVE_USER_DATA, data: data });
				}, reason => {
					app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
						[atob("ZWE=")]: "User",
						[atob("ZWM=")]: "Error",
						[atob("ZWw=")]: reason.code + 'after register'
					});
					dispatch({ type: ERROR_USER_AUTH, data: { code: reason.code, message: reason.message } });
				});
			}, reason => {
				app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
					[atob("ZWE=")]: "Register",
					[atob("ZWM=")]: "Error",
					[atob("ZWw=")]: reason.code
				});
				dispatch({ type: ERROR_USER_AUTH, data: { code: reason.code, message: reason.message } });
			});
		};
	},
	[LOGOUT_ACTION]: action => {
		return (dispatch, getState) => {
			dispatch({ type: CLEAR_USER_REVIEWS, data: { userId: getState().user.uid } });
			dispatch({ type: CLEAN_USER_DATA });
			WotAuthApi.logout().then(() => {}, reason => {
				dispatch({ type: ERROR_USER_AUTH, data: { code: reason.code, message: reason.message } });
			});
		};
	},
	[FORGOT_ACTION]: action => {
		return (dispatch, getState) => {
			WotAuthApi.forgot(action.email).then(message => {
				dispatch({ type: MESSAGE_USER_AUTH, data: { message: message } });
			}, reason => {
				app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
					[atob("ZWE=")]: "Forgot",
					[atob("ZWM=")]: "Error",
					[atob("ZWw=")]: reason.code
				});
				dispatch({ type: ERROR_USER_AUTH, data: { code: reason.code, message: reason.message } });
			});
		};
	},
	[SERP_SEND_LINKS_ACTION]: action => {
		return (dispatch, getState) => {
			if (action.data.urls.length > 0) {
				WotApi.links(action.data.urls).then(ratings => {
					dispatch(saveRating(ratings));
				}, reason => {
					app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
						[atob("ZWE=")]: "Links",
						[atob("ZWM=")]: "Error",
						[atob("ZWw=")]: reason + '-' + action.data.urls.length
					});
					;
				});
			}
		};
	},
	[SEND_REVIEW_ACTION]: action => {
		return (dispatch, getState) => {
			let review = getState().reviews[action.data.userId || 1][action.data.host];
			WotApi.submit(action.data.host, review);
		};
	},
	[ADD_COMMENT_ACTION]: action => {
		return (dispatch, getState) => {
			// dispatch(_.merge({}, action, {type: ADD_COMMENT}));
			const uid = action.data.userId;
			const isUserLogged = uid && uid !== 1;
			isUserLogged && WotApi.sendComments({
				target: action.data.host,
				comment: action.data.comment,
				uid,
				rating: action.data.rating,
				tags: action.data.tags
			}, getState().user.token);
		};
	},
	[DELETE_REVIEW_ACTION]: action => {
		return (dispatch, getState) => {
			dispatch(deleteReview(action.data.host, action.data.userId || 1));
			if (getState().user.uid) {
				WotApi.deleteComments(action.data.host, getState().user.token, getState().user.uid);
			}
			WotApi.submit(action.data.host);
		};
	},
	[GET_COMMENTS_ACTION]: action => {
		return (dispatch, getState) => {
			var _action$data2 = action.data;
			let host = _action$data2.host,
			    length = _action$data2.length,
			    offset = _action$data2.offset;

			dispatch(loadingComments(host));
			const state = getState();
			if (typeof offset === 'undefined') {
				offset = state.comments[host] && state.comments[host].data && Object.keys(state.comments[host].data).length || 0;
			}
			WotApi.comments(host, length, offset).then(results => {
				dispatch(saveComments(_.merge(results[0], results[1])));
			}, reason => {
				app && app.myElement && typeof app.myElement.fire === "function" && app.myElement.fire({
					[atob("ZWE=")]: "Comments",
					[atob("ZWM=")]: "Error",
					[atob("ZWw=")]: reason
				});
				;
			});
		};
	},
	[GET_COMMENT_AND_RATING]: action => {
		return (dispatch, getState) => {
			var _action$data3 = action.data;
			let host = _action$data3.host,
			    length = _action$data3.length;

			const state = getState();
			const uid = _.get(state, 'user.uid', null);
			const userLogged = uid && uid !== 1;
			if (!userLogged) return;
			WotApi.getUserCommentAndRating(host, uid, getState().user.token).then(dataFromApi => {
				dispatch(updateReviewTimestamp(host, uid));
				const categs = CATEGORIES_RULES.ratingFlow;
				const rateArr = _.get(dataFromApi, '0.rating', []);
				const rating = _.get(rateArr.filter(rateObj => rateObj.name === 0), '0.t', -1);
				if (rating === -1) {
					dispatch(deleteReview(host, uid));
					dispatch(updateReviewTimestamp(host, uid));
					return;
				}
				const childSafetyCategories = rateArr.filter(r => r.vote === 1 && categs.childSafety.includes(r.name));
				const userReviewData = {
					host,
					comment: dataFromApi[0].comment,
					rating,
					step: 6,
					timestamp: dataFromApi[0].timestamp,
					childSafetyCategories,
					reputationCategories: rateArr.filter(r => r.vote === 1 && categs.reputation.includes(r.name)),
					safetyCategories: rateArr.filter(r => r.vote === 1 && categs.safety.includes(r.name)),
					childSafety: childSafetyCategories.length === 0,
					uid
				};
				dispatch(saveUserReviewFromApi(userReviewData));
			}).catch(err => {
				console.log("GET USER COMMENT FOR " + host + " REQUEST FAILED WITH", err);
			});
		};
	}
};