
class WarningStrip extends React.Component {
	onLogoClick() {
		validateDomain(this.props.host) && webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "WarningScreen",
				[atob("ZWE=")]: this.props.color + " Strip WOT Logo",
				[atob("ZWw=")]: validateDomain(this.props.host)
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: MAIN_PAGE_URL + (this.props.rating <= MAX_RED_STRIP_RATING ? RED_RIBBON_REDIRECT_PARAMETERS : YELLOW_RIBBON_REDIRECT_PARAMETERS) });
	}
	onFullScorecardClick() {
		validateDomain(this.props.host) && webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "WarningScreen",
				[atob("ZWE=")]: this.props.color + " Strip View Full Report",
				[atob("ZWw=")]: validateDomain(this.props.host)
			}
		});
	}
	close(e) {
		validateDomain(this.props.host) && webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "WarningScreen",
				[atob("ZWE=")]: this.props.color + " Strip Close",
				[atob("ZWw=")]: validateDomain(this.props.host)
			}
		});
		this.props.dispatch(addToTemplist(this.props.host));
		document.getElementById(WARNING_CONTAINER_SELECTOR).className = "";
		document.getElementById(WARNING_CONTAINER_SELECTOR).remove();
	}
	dontWarnMe(e) {
		validateDomain(this.props.host) && webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "WarningScreen",
				[atob("ZWE=")]: this.props.color + " Strip Don't Warn",
				[atob("ZWw=")]: validateDomain(this.props.host)
			}
		});
		this.props.dispatch(addToWhitelist(this.props.host));
		document.getElementById(WARNING_CONTAINER_SELECTOR).className = "";
		document.getElementById(WARNING_CONTAINER_SELECTOR).remove();
	}
	componentDidMount() {
		setTimeout(() => {
			document.getElementsByClassName("wot-logo")[0] && document.getElementsByClassName("wot-logo")[0].addEventListener("click", e => {
				this.onLogoClick.call(this);
			});
			document.getElementsByClassName("strip-warning-container__close")[0] && document.getElementsByClassName("strip-warning-container__close")[0].addEventListener("click", e => {
				this.close.call(this);
			});
			document.getElementsByClassName("strip-warning-container__scorecard")[0] && document.getElementsByClassName("strip-warning-container__scorecard")[0].addEventListener("click", e => {
				this.onFullScorecardClick.call(this);
			});
			document.getElementsByClassName("strip-warning-container__not-show")[0] && document.getElementsByClassName("strip-warning-container__not-show")[0].addEventListener("click", e => {
				this.dontWarnMe.call(this);
			});
		}, 0);
	}
	render() {
		var _props = this.props;
		let rating = _props.rating,
		    dispatch = _props.dispatch;

		return React.createElement(
			"div",
			{ className: "strip-warning-container" },
			React.createElement(
				"div",
				{ className: "strip-warning-container__tags" },
				React.createElement(
					"div",
					{ className: "strip-warning-container__logo" },
					React.createElement("div", { className: "wot-logo" })
				),
				React.createElement(
					"div",
					{
						className: "strip-warning-container__message" },
					webextApi.i18n.getMessage(rating <= MAX_RED_STRIP_RATING ? 'warning' : 'careful'),
					" "
				),
				React.createElement(
					"div",
					{
						className: "strip-warning-container__text" },
					webextApi.i18n.getMessage(rating <= MAX_RED_STRIP_RATING ? 'trustIssues' : 'poorRating')
				),
				React.createElement(
					"a",
					{ className: "strip-warning-container__scorecard",
						href: FULL_REPORT_URL + this.props.host + (rating <= MAX_RED_STRIP_RATING ? RED_RIBBON_REDIRECT_PARAMETERS : YELLOW_RIBBON_REDIRECT_PARAMETERS),
						target: "_blank" },
					webextApi.i18n.getMessage('viewFullReport')
				),
				React.createElement(
					"div",
					{ className: "strip-warning-container__not-show" },
					webextApi.i18n.getMessage('dontShowOnThisSite')
				)
			),
			React.createElement("div", { className: "strip-warning-container__close" })
		);
	}
}