class ExtInfo {
	constructor() {
		let sandbox = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

		this.sandbox = sandbox;
	}
	isCloneIntoFnAvailable() {
		return this.sandbox.cloneInto || false;
	}
	getExtInfoJSON() {
		return new Promise((resolve, reject) => {
			var xhr = new XMLHttpRequest();
			xhr.responseType = "json";
			xhr.addEventListener("load", event => {
				var response = event.target.response;
				resolve(response.isActive);
			});
			xhr.addEventListener("error", reject);
			xhr.open("GET", webextApi.runtime.getURL("resources/extInfo.json"));
			xhr.send();
		});
	}
	createExtInfoSharedObject() {
		try {
			if (!this.isCloneIntoFnAvailable()) {
				return;
			}
			this.getExtInfoJSON().then(isActive => {
				let extInfo = {
					isActive,
					version: getVersion(),
					id: webextApi.runtime.id
				};
				window.wrappedJSObject.extInfo = cloneInto(extInfo, window);
			}).catch(ex => {});
		} catch (ex) {}
	}
}
var extInfo = new ExtInfo(this);
extInfo.createExtInfoSharedObject();