
class CommentsItem extends React.Component {
    render() {
        const commentsData = this.props.commentsData,
              _date = new Date(commentsData.timestamp * 1000),
              locale = getLocale(),
              date = _date.toLocaleString(locale, { month: "short", day: 'numeric', year: 'numeric' });

        let commentsAvatar = !commentsData.picture || commentsData.picture && commentsData.picture.length === 0 ? DEFAULT_AVATAR : commentsData.picture;
        return React.createElement(
            'div',
            { className: 'comments__item' },
            React.createElement(
                'div',
                { className: 'comments__avatar-wrapper' },
                React.createElement('div', { className: 'wot-avatar__frame comments__avatar', style: { 'background-image': 'url(\'' + PREFIX_CDN + commentsAvatar + "')", 'background-size': 'cover' } })
            ),
            React.createElement(
                'div',
                { className: 'comments__item-content' },
                React.createElement(
                    'div',
                    { className: 'comments__header' },
                    React.createElement(
                        'div',
                        { className: 'comments__header-text' },
                        React.createElement(
                            'span',
                            { className: 'comments__name' },
                            commentsData.name
                        ),
                        React.createElement(
                            'span',
                            { className: 'comments__date' },
                            date
                        )
                    ),
                    commentsData.rating !== -1 && React.createElement(
                        'div',
                        { className: 'comments__rating' },
                        !commentsData.childSafety && React.createElement('span', { className: 'comments__donut comments__donut_child' }),
                        commentsData.bubbles !== 'none' && React.createElement('span', { className: "comments__donut comments__donut_" + commentsData.bubbles }),
                        React.createElement(RatingStarsContainer, { type: '_small', rating: commentsData.rating })
                    )
                ),
                React.createElement(
                    'p',
                    { className: 'comments__text' },
                    commentsData.comment
                )
            )
        );
    }
}