
class FormattedString extends React.Component {
	constructor(props) {
		super(props);
		this.style = {};
	}
	render() {
		var _props = this.props;
		let replacements = _props.replacements,
		    text = _props.text,
		    className = _props.className,
		    maxLength = _props.maxLength;

		for (let item in replacements) {
			text = text && text.replace('%' + item.toUpperCase() + '%', replacements[item]);
		}
		if (maxLength && text.length > maxLength) {
			this.style.fontSize = 100 / (text.length / maxLength) + "%";
		}
		let parts = text && text.split('*') || [text];
		return React.createElement(
			'div',
			{ className: className || '', style: this.style },
			parts.map((part, index) => {
				if (index % 2 === 0) {
					return part;
				} else {
					return React.createElement(
						'span',
						{ className: 'wot-text__bold' },
						part
					);
				}
			})
		);
	}
}