
class ModalCTA extends React.Component {
    constructor(props) {
        super(props);
    }
    onCloseClick() {
        this.props.onClose();
    }
    onTextMeClick() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile popup text me the app",
                [atob("ZWw=")]: this.props.appearance
            }
        });
        this.props.dispatch(updateCtaStatus('dontShowAgain'));
        webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: SEND_ME_LINK_URL });
        window.close();
    }
    clickMarketLink() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile popup open market link",
                [atob("ZWw=")]: this.props.appearance
            }
        });
        this.props.dispatch(updateCtaStatus('dontShowAgain'));
        webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: ANDROID_POPUP_URL });
        window.close();
    }
    dontShowAgainClick() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile popup don't show again",
                [atob("ZWw=")]: this.props.appearance
            }
        });
        this.props.dispatch(updateCtaStatus('dontShowAgain'));
        this.props.onClose();
    }
    render() {
        return React.createElement(
            "div",
            { className: "cta-modal" },
            React.createElement("span", { className: "cta-modal__image" }),
            React.createElement(
                "h4",
                null,
                webextApi.i18n.getMessage('mobileProtection')
            ),
            React.createElement(
                "span",
                { className: "cta-modal__text" },
                webextApi.i18n.getMessage('browseTheInternetSafelyOnYourAndroidPhone')
            ),
            React.createElement(
                "div",
                { className: "modal-message__close", onClick: this.onCloseClick.bind(this) },
                React.createElement("span", { className: "modal-message__close-hover" }),
                React.createElement("span", { className: "modal-message__close-image" })
            ),
            React.createElement(
                "div",
                { className: "cta-modal__buttons" },
                React.createElement("span", { className: "cta-modal__market-btn", onClick: this.clickMarketLink.bind(this) }),
                React.createElement(
                    "span",
                    { className: "cta-modal__text-me-btn", onClick: this.onTextMeClick.bind(this) },
                    webextApi.i18n.getMessage('textMeTheApp')
                )
            ),
            [2, 3].indexOf(this.props.appearance) !== -1 && React.createElement(
                "span",
                { className: "cta-modal__dont-show-again", onClick: this.dontShowAgainClick.bind(this) },
                webextApi.i18n.getMessage('dontShowThisAgain')
            )
        );
    }
}