
// COMPONENTS
class ModalMessage extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            errorMessage: false,
            additionalClass: ""
        };
    }
    renderContent(type) {
        switch (type) {
            case 'login':
                // webextApi.runtime.sendMessage({
                //     name: SEND_MESSAGE, params: {
                //         [atob("ZWM=")]: "Login/Sign Up",
                //         [atob("ZWE=")]: "Opened Log In",
                //         [atob("ZWw=")]: "Rating Flow/Menu"
                //     }
                // });
                return React.createElement(ModalMessageLogIn, {
                    onClose: this.props.onClose,
                    store: this.props.store,
                    showError: this.showError.bind(this),
                    showMessage: this.showMessage.bind(this),
                    showLoader: this.showLoader.bind(this),
                    errorStatus: this.state.errorMessage,
                    closeError: this.closeError.bind(this),
                    type: "LogIn",
                    host: this.props.host
                });
            case 'signup':
                // webextApi.runtime.sendMessage({
                //     name: SEND_MESSAGE, params: {
                //         [atob("ZWM=")]: "Login/Sign Up",
                //         [atob("ZWE=")]: "Opened Sign Up",
                //         [atob("ZWw=")]: "Rating Flow/Menu"
                //     }
                // });
                return React.createElement(ModalMessageLogIn, {
                    onClose: this.props.onClose,
                    store: this.props.store,
                    showError: this.showError.bind(this),
                    showMessage: this.showMessage.bind(this),
                    showLoader: this.showLoader.bind(this),
                    errorStatus: this.state.errorMessage,
                    closeError: this.closeError.bind(this),
                    type: "SignUp",
                    host: this.props.host
                });
            case 'sharing':
                return React.createElement(ModalMessageSharing, { onClose: this.props.onClose });
            case 'ratingSharing':
                return React.createElement(ModalRatingSharing, { onClose: this.props.onClose, host: this.props.host, reviews: this.props.reviews });
            case 'rating':
                return React.createElement(ModalRating, { onClose: this.props.onClose, showModal: this.props.showModal, dispatch: this.props.store.dispatch });
            case 'mobile':
                return React.createElement(ModalMobile, { onClose: this.props.onClose, showModal: this.props.showModal, dispatch: this.props.store.dispatch });
            case 'feedback':
                return React.createElement(ModalFeedback, { onClose: this.props.onClose, dispatch: this.props.store.dispatch, showNotification: this.props.showNotification });
            case 'CTA':
                return React.createElement(ModalCTA, { onClose: this.props.onClose, appearance: this.props.store.getState().cta.appearance, dispatch: this.props.store.dispatch, showModal: this.props.showModal, showNotification: this.props.showNotification });
            case 'deleteReview':
                return React.createElement(ModalDeleteReview, { onClose: this.props.onClose, dispatch: this.props.store.dispatch, host: this.props.host, userId: this.props.store.getState().user ? this.props.store.getState().user.uid : 1 });
            case 'survey':
                return React.createElement(ModalSurvey, { onClose: this.props.onClose, store: this.props.store });
            case 'updateExtension':
                return React.createElement(ModalUpdateExtension, { onClose: this.props.onClose, store: this.props.store, dispatch: this.props.store.dispatch });
        }
    }
    additionalClass(type) {
        switch (type) {
            case 'login':
                return ' modal-message_login-window';
            case 'rating':
                return ' modal-message_rating-flow';
            case 'deleteReview':
                return ' modal-message_delete-review';
            default:
                return '';
        }
    }
    closeError() {
        this.setState({
            errorMessage: false
        });
    }
    showError() {
        let errorMessage = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

        let lastAction = this.props.store.getState().lastAction,
            code = ((lastAction && lastAction.data && lastAction.data.code || (errorMessage !== '' ? errorMessage : "0")) + "").replace('Error', ''),
            message = webextApi.i18n.getMessage('Error' + code);
        this.setState({
            errorMessage: true,
            errorText: message || this.props.store.getState().lastAction.data.message,
            additionalClass: " red"
        });
    }
    showMessage(message) {
        this.setState({
            errorMessage: true,
            errorText: message,
            additionalClass: " green"
        });
    }
    showLoader(e) {
        this.setState({
            showLoader: e
        });
    }
    render() {
        return React.createElement(
            "div",
            { className: "modal-window" },
            this.state.errorMessage && React.createElement(LoginError, { className: this.state.additionalClass || '', closeError: this.closeError.bind(this), message: this.state.errorText }),
            React.createElement(
                "div",
                { className: this.props.className },
                this.state.showLoader && React.createElement(ModalLoader, null),
                this.renderContent(this.props.modalType)
            ),
            React.createElement("div", { className: "modal-message_background", onClick: this.props.onClose })
        );
    }
}