
class ModalUpdateExtension extends React.Component {
    constructor(props) {
        super(props);
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "GDPR",
                [atob("ZWE=")]: "Popup displayed",
                [atob("ZWw=")]: ""
            }
        });
    }
    onBtnClick() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "GDPR",
                [atob("ZWE=")]: "Notification approved",
                [atob("ZWw=")]: ""
            }
        });
        this.props.dispatch(setGDPRNotificationsOff());
        _.delay(() => {
            this.props.onClose();
        }, 100);
    }
    learnMoreClick() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "GDPR",
                [atob("ZWE=")]: "Privacy policy viewed from notification",
                [atob("ZWw=")]: ""
            }
        });
        webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: PRIVACY_POLICY_URL });
        window.close();
    }
    render() {
        return React.createElement(
            "div",
            { className: "modal-update-extension" },
            React.createElement("span", { className: "modal-update-extension__img" }),
            React.createElement(
                "span",
                { className: "modal-update-extension__header" },
                webextApi.i18n.getMessage('updateImportant')
            ),
            React.createElement(
                "span",
                { className: "modal-update-extension__text" },
                webextApi.i18n.getMessage('newPrivacyPolicy')
            ),
            React.createElement(
                "span",
                { className: "modal-update-extension__link", onClick: this.learnMoreClick.bind(this) },
                webextApi.i18n.getMessage('learnMore')
            ),
            React.createElement(
                SimpleButton,
                { onClick: this.onBtnClick.bind(this) },
                webextApi.i18n.getMessage('gotIt')
            )
        );
    }
}