
class PopupFooter extends React.Component {
	goToClassic() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Main Window",
				[atob("ZWE=")]: "Footer",
				[atob("ZWw=")]: "Download Classic WOT"
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: DOWNLOAD_URL });
		window.close();
	}
	goToMainPage() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Main Window",
				[atob("ZWE=")]: "Footer",
				[atob("ZWw=")]: "WOT Logo"
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: MAIN_PAGE_URL + MAIN_WINDOW_REDIRECT_PARAMETERS });
		window.close();
	}
	goToFacebookPage() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Main Window",
				[atob("ZWE=")]: "Footer",
				[atob("ZWw=")]: "Follow Us Facebook"
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: FACEBOOK_URL });
		window.close();
	}
	goToTwitterPage() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Main Window",
				[atob("ZWE=")]: "Footer",
				[atob("ZWw=")]: "Follow Us Twitter"
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: TWITTER_URL });
		window.close();
	}
	goToGooglePage() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Main Window",
				[atob("ZWE=")]: "Footer",
				[atob("ZWw=")]: "Follow Us Google+"
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: GOOGLE_URL });
		window.close();
	}
	showRatingModal() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Main Window",
				[atob("ZWE=")]: "Rate Us Shown",
				[atob("ZWw=")]: this.props.popupOpeningCounter
			}
		});
		this.props.showModal("rating")();
	}
	render() {
		var _props = this.props;
		let popupOpeningCounter = _props.popupOpeningCounter,
		    showModal = _props.showModal;

		return React.createElement(
			"div",
			{ className: "popup-container__footer" },
			React.createElement("div", { onClick: this.goToMainPage.bind(this), className: "popup-container__footer__logo" }),
			(() => {
				if (popupOpeningCounter >= 5) {
					return React.createElement(
						"div",
						{ className: "footer__enjoying-btn", onClick: this.showRatingModal.bind(this) },
						React.createElement(
							"span",
							null,
							webextApi.i18n.getMessage("wantToRateWOTHeader")
						)
					);
				} else {
					if (browserName === 'chrome') {
						return React.createElement(
							"div",
							{ className: "popup-container__footer__switch-btn", onClick: this.goToClassic.bind(this) },
							React.createElement(
								"span",
								{ className: "font-resize" },
								webextApi.i18n.getMessage("switchToClassic")
							)
						);
					} else {
						return React.createElement(
							"div",
							{ style: { width: '142px' } },
							"\xA0"
						);
					}
				}
			})(),
			React.createElement(
				"div",
				{ className: "popup-container__footer__follow-btn" },
				React.createElement(
					"span",
					{ className: "font-resize" },
					webextApi.i18n.getMessage("followUs")
				)
			),
			React.createElement(
				"div",
				{ className: "footer__social" },
				React.createElement(SocialButton, { onClick: this.goToFacebookPage.bind(this),
					className: "popup-container__footer__follow-btn__social_facebook" }),
				React.createElement(SocialButton, { onClick: this.goToTwitterPage.bind(this),
					className: "popup-container__footer__follow-btn__social_twitter" }),
				React.createElement(SocialButton, { onClick: this.goToGooglePage.bind(this),
					className: "popup-container__footer__follow-btn__social_google" })
			)
		);
	}
}