
class RatingFlowFooter extends React.Component {
	back() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Rating Flow",
				[atob("ZWE=")]: "Step " + this.props.step + " Back",
				[atob("ZWw=")]: ""
			}
		});
		this.props.dispatch(_.indexOf([2, 4, 6], this.props.step) === -1 ? overPreviousStep(this.props.host, this.props.userId) : toPreviousStep(this.props.host, this.props.userId));
	}
	next() {
		if (this.props.typeNextButton === 'active') {
			if (this.props.step == 5) {
				webextApi.runtime.sendMessage({
					name: SEND_MESSAGE, params: {
						[atob("ZWM=")]: "Rating Flow",
						[atob("ZWE=")]: "Step 5 Submit",
						[atob("ZWw=")]: (this.props.rating / 20).toFixed()
					}
				});
			} else {
				this.props.categories && webextApi.runtime.sendMessage({
					name: SEND_MESSAGE, params: {
						[atob("ZWM=")]: "Rating Flow",
						[atob("ZWE=")]: "Step " + this.props.step + " Submit",
						[atob("ZWw=")]: this.props.categories.join(',')
					}
				});
			}
			if (this.props.step == 5 && this.props.rating > 60 || this.props.step == 6) {
				validateDomain(this.props.host) && webextApi.runtime.sendMessage({
					name: SEND_MESSAGE, params: {
						[atob("ZWM=")]: "Rating Flow",
						[atob("ZWE=")]: "Submit No Comment Auto",
						[atob("ZWw=")]: validateDomain(this.props.host)
					}
				});
				this.props.dispatch(sendReview(this.props.host, this.props.userId));
			}
			this.props.dispatch(this.props.nextAction(this.props.host, this.props.userId));
		}
	}
	render() {
		var _props = this.props;
		const typeNextButton = _props.typeNextButton,
		      step = _props.step;

		let classNameNextButton = 'rating-flow__footer__next';
		switch (typeNextButton) {
			case 'active':
				classNameNextButton += ' rating-flow__footer__next_active';
				break;
			case 'disable':
				classNameNextButton += ' rating-flow__footer__next_disable';
				break;
			default:
				classNameNextButton += ' rating-flow__footer__next_none';
				break;
		}
		return React.createElement(
			"div",
			{ className: "rating-flow__footer" },
			step !== 1 && React.createElement(
				"div",
				{ className: "rating-flow__footer__back", onClick: this.back.bind(this) },
				React.createElement(
					"span",
					{
						className: "rating-flow__footer__back__span" },
					"\u2039"
				),
				webextApi.i18n.getMessage('back')
			),
			React.createElement(
				"div",
				{ className: classNameNextButton,
					onClick: this.next.bind(this) },
				this.props.skipOpprtunity ? this.props.categories && this.props.categories.length > 0 ? webextApi.i18n.getMessage('next') : webextApi.i18n.getMessage('skip') : webextApi.i18n.getMessage('next'),
				React.createElement(
					"span",
					{ className: "rating-flow__footer__next__span" },
					"\u203A"
				)
			)
		);
	}
}