var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

class RatingFlowTest extends React.Component {
	constructor(props) {
		super(props);
		this.config = {
			rules: [{
				selector: '.main-popup-container',
				style: p => {
					return {
						'backgroundPosition': '0 ' + -86 * p + 'px'
					};
				}
			}, {
				selector: '.popup-container__item_header',
				style: p => {
					return {
						'margin-bottom': 15 * p + 'px'
					};
				}
			}, {
				selector: '.main-popup-container .user-level',
				style: p => {
					return {
						'opacity': 1 - 2 * p
					};
				}
			}, {
				selector: '.main-popup-container .comments__fade',
				style: p => {
					return {
						'opacity': p === 0 ? 1 : 0
					};
				}
			}, {
				selector: '.main-popup-container .popup-container__title',
				style: p => {
					return {
						'top': -69 * p + 50 + 'px',
						'left': -115 * p + 'px',
						'font-size': -12 * p + 30 + 'px'
					};
				}
			}, {
				selector: '.main-popup-container .child-label',
				style: p => {
					return {
						'font-size': -12 * (p * p) + 12 + 'px',
						'width': -169 * (p * p) + 169 + 'px',
						'height': -21 * (p * p) + 21 + 'px',
						'opacity': 1 - 2 * p
					};
				}
			}, {
				selector: '.security__label',
				style: p => {
					return {
						'font-size': -12 * (p * p) + 12 + 'px',
						'width': -138 * (p * p) + 138 + 'px',
						'height': -24 * (p * p) + 24 + 'px',
						'opacity': 1 - 2 * p
					};
				}
			}, {
				selector: '.reputation__label',
				style: p => {
					return {
						'font-size': -12 * (p * p) + 12 + 'px',
						'width': -138 * (p * p) + 138 + 'px',
						'height': -24 * (p * p) + 24 + 'px',
						'opacity': 1 - 2 * p
					};
				}
			}, {
				selector: '.popup-container__labels',
				style: p => {
					return {
						'opacity': 1 - 2 * p
					};
				}
			}, {
				selector: '.security__logo',
				style: p => {
					return {
						'width': -27 * p + 85 + 'px',
						'height': -27 * p + 85 + 'px',
						'top': -25 * p + 40 + 'px',
						'left': -51 * p + 91 + 'px',
						'transform': 'translate3d(0, 0, 0)'
					};
				}
			}, {
				selector: '.security__value',
				style: p => {
					return {
						'top': -97 * p * p * p + 130 + 'px',
						'left': 20 * p * p * p + 86 + 'px',
						'transform': 'translate3d(0, 0, 0)'
					};
				}
			}, {
				selector: '.reputation__circle',
				style: p => {
					return {
						'width': -27 * p + 79 + 'px',
						'height': -27 * p + 79 + 'px',
						'line-height': -27 * p + 79 + 'px',
						'top': -25 * p + 40 + 'px',
						'left': -52 * p + 277 + 'px',
						'transform': 'translate3d(0, 0, 0)'
					};
				}
			}, {
				selector: '.reputation__stars',
				style: p => {
					return {
						'top': -97 * p * p * p + 130 + 'px',
						'left': 11 * p * p * p + 279 + 'px',
						'transform': 'translate3d(0, 0, 0)'
					};
				}
			}, {
				selector: '.reputation__circle span',
				style: p => {
					return {
						'font-size': -17 * p + 40 + 'px'
					};
				}
			}, {
				selector: '.popup-container__item_header',
				style: p => {
					return {
						'height': -174 * p + 282 + 'px'
					};
				}
			}, {
				selector: '.main-popup-container .popup-container__bubble',
				style: p => {
					return {
						'top': -69 * 1.5 * p + 132 + 'px'
					};
				}
			}, {
				selector: '.main-popup-container .popup-container__item_first-header',
				style: p => {
					return {
						'height': -223 * p + 344 + 'px'
					};
				}
			}, {
				selector: '.main-popup-container .popup-container__item_header',
				style: p => {
					return {
						'height': -174 * p + 282 + 'px'
					};
				}
			}]
		};
	}
	shrinkAnimation(e) {
		if (!window.scrollMessage) {
			webextApi.runtime.sendMessage({
				name: SEND_MESSAGE, params: {
					[atob("ZWM=")]: "Main Window",
					[atob("ZWE=")]: "Scroll",
					[atob("ZWw=")]: upperFirstCase(this.props.iconColor) + ' - ' + (this.props.comments.data && this.props.comments.data.length > 0 ? 'Has Reviews' : 'No Reviews')
				}
			});
			window.scrollMessage = true;
		}
		e.preventDefault();
		let scrollValue = e.target.scrollTop / 150,
		    scrollSelector = document.getElementsByClassName('comments__container')[0];
		if (scrollSelector) {
			let topStyle = scrollSelector.getBoundingClientRect().top,
			    heightComments = scrollSelector.offsetHeight;
			if (topStyle + heightComments <= 600) {
				this.getCommentsFunction(this);
			}
		}
		switch (true) {
			case scrollValue >= 0.96:
				scrollValue = 1;
				break;
			case scrollValue <= 0.04:
				scrollValue = 0;
				// make repaint for firefox scrollbar glitch after scroll top
				firefoxRepaint();
				break;
			default:
				break;
		}
		for (let rule of this.config.rules) {
			let element = document.querySelector(rule.selector);
			if (element) {
				let styles = rule.style(scrollValue);
				for (let style in styles) {
					element.style[style] = styles[style];
				}
			}
		}
	}
	render() {
		var _props = this.props;
		const reviews = _props.reviews,
		      host = _props.host,
		      dispatch = _props.dispatch,
		      userId = _props.userId,
		      comments = _props.comments,
		      showModal = _props.showModal,
		      userName = _props.userName,
		      closeModal = _props.closeModal,
		      count = _props.count,
		      picture = _props.picture;

		let className = "popup-container__item rating-flow-test";
		reviews && reviews.step > LAST_STEP && (className += ' rating-flow-last-step');
		return React.createElement(
			ScrollContainer,
			{
				scroll: reviews && (reviews.step >= LAST_STEP || reviews.step === 0) && comments.data && comments.data.length !== 0,
				className: className,
				onScroll: reviews && (reviews.step >= LAST_STEP || reviews.step === 0) && this.shrinkAnimation.bind(this),
				renderView: props => React.createElement('div', _extends({}, props, { className: 'rating-flow-scroll' })),
				renderThumbVertical: props => React.createElement('div', _extends({}, props, { className: 'rating-track' })),
				hideTracksWhenNotNeeded: true },
			reviews && reviews.step === 0 && React.createElement(
				'div',
				null,
				React.createElement(
					'div',
					{ className: 'popup-container__action' },
					React.createElement(
						'div',
						{ className: 'popup-container__action__message' },
						webextApi.i18n.getMessage("shareFeedback") + ' ' + truncateString(WotApi.getDecodedDomain(host))
					),
					React.createElement(ButtonAction, { typeAction: 'Rate', host: host, dispatch: dispatch, commonComponent: 'Rating Flow', commonType: 'Rate This Site', userId: userId })
				),
				React.createElement(CommentsList, { comments: comments,
					dispatch: dispatch,
					host: host,
					reviews: reviews,
					userName: userName,
					bubbles: getDonutColor(false, reviews).color,
					step: reviews.step })
			),
			reviews && reviews.step === 1 && React.createElement(RatingFlowRatePageTest, {
				host: host,
				dispatch: dispatch,
				step: reviews.step,
				userId: userId,
				rating: reviews.rating }),
			reviews && reviews.step === 2 && React.createElement(RatingFlowLabelsTest, {
				typeCategories: 'safety',
				clickLabelAction: clickSafetyCategory,
				host: host,
				dispatch: dispatch,
				categories: reviews.safetyCategories,
				userId: userId,
				step: reviews.step,
				rating: reviews.rating }),
			reviews && reviews.step === 3 && React.createElement(RatingFlowLabelsTest, {
				typeCategories: 'reputation',
				clickLabelAction: clickReputationCategory,
				host: host,
				rating: reviews.rating,
				dispatch: dispatch,
				userId: userId,
				categories: reviews.reputationCategories,
				step: reviews.step }),
			reviews && reviews.step === 4 && React.createElement(RatingFlowLabelsTest, {
				typeCategories: 'childSafety',
				clickLabelAction: clickChildSafetyCategory,
				host: host,
				rating: reviews.rating,
				dispatch: dispatch,
				categories: reviews.childSafetyCategories,
				userId: userId,
				step: reviews.step }),
			reviews && reviews.step === 5 && React.createElement(RatingFlowAddComment, {
				host: host,
				dispatch: dispatch,
				userId: userId,
				reviews: reviews,
				showModal: showModal,
				count: count }),
			reviews && reviews.step === 6 && React.createElement(RatingFlowResultPage, {
				host: host,
				dispatch: dispatch,
				userId: userId,
				showModal: showModal,
				reviews: reviews,
				comments: comments,
				userName: userName,
				picture: picture,
				closeModal: closeModal })
		);
	}
}
RatingFlowTest.prototype.getCommentsFunction = _.debounce(e => {
	e.props.comments.data.length < e.props.comments.count && e.props.dispatch(getComments(e.props.host));
}, 300, {
	'leading': true,
	'trailing': false
});