
const DEV_MODE = false;
const APIS_DEV_MODE = false;
const API_ERROR_CODES = {
	"E101": "DEV_MODE_ON-RATINGS_UNAVAILABLE"
};
const VERSION = '4.0.10.21';
//STORE
const RT_API_SUBVERSION = "20170801-3.2.2";
const STORAGE_TOKEN = "STORAGE_TOKEN";
const FIREFOX_STORAGE_TOKEN = "exportedPrefs";
const SERPS_REQUEST_INTERVAL = 1000 * 60 * 60 * 24;
const STORE_RATING_PERIOD = 1000 * 60 * 60;
const COMMENTS_REQUEST_INTERVAL = 1000 * 60 * 10;
const IN_CASE_ERROR_INTERVAL = 1000;
const WARNING_RENDER_INTERVAL = 1000;
const MAX_CACHE_SIZE = 500;
const MAX_PARAMS_LENGTH = 4096;
//REFEXPS
const NOT_SUPPORTED_PROTOCOLS = /(chrome\-extension\:\/\/:chrome\:\/\/|about\:)/i;
const SUPPORTED_PROTOCOLS = /(https?|ftp|mms|rtsp)\:\/\/(.*)([.])(.*)/i;
const VALID_HOSTNAME = /[a-zA-Z0-9][a-zA-Z0-9-]{1,61}[a-zA-Z0-9](?:\.[a-zA-Z]{2,})+/i;
const VALID_URL_WITHOUT_PROTOCOL = /[-a-zA-Z0-9@:%._\+~#=]{2,256}\.[a-z]{2,6}\b([-a-zA-Z0-9@:%_\+.~#?&/=]*)/i;
const URLS_TO_FORWARD = /^(http(s)?\:\/\/(.+\.)?mywot\.com)\/([^\/]{2}(-[^\/]+)?\/)?settings(\/([^\/]+))?\/?(\?.+)?$/;
const EMAIL_TO_FORWARD = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
const SOCIAL_CALLBACK_URL = /https:\/\/auth\.api\.mywot\.com\/(google|facebook|twitter)\/callback/;
//DONUTS
const DONUT_ATTRIBUTE = "wotdonut";
const DONUT_CONTAINER = "donut-container";
const POPUP_CONTAINER = "wot-popup-container";
const SERP_TRACK_PERIOD = 1000;
//SETTINGS
const DONUTS_LEVEL_NORMAL = "DONUTS_LEVEL_NORMAL";
const DONUTS_LEVEL_HIGH = "DONUTS_LEVEL_HIGH";
const DONUTS_LEVEL_OFF = "DONUTS_LEVEL_OFF";
const WARNINGS_LEVEL_NORMAL = "WARNINGS_LEVEL_NORMAL";
const WARNINGS_LEVEL_HIGH = "WARNINGS_LEVEL_HIGH";
const WARNINGS_LEVEL_OFF = "WARNINGS_LEVEL_OFF";
//REPUTATION SPLIT
const MIN_CATEGORY_CONFIDENCE = 20;
const MIN_REPUTATION_CONFIDENCE = 15;
const MAX_REPUTATION_RED = 40;
const MAX_REPUTATION_YELLOW = 76;
const MIN_CHILD_RATING_CONFIDENCE = 12;
const MIN_CHILD_RATING = 39;
const MAX_RED_STRIP_RATING = 20;
const MAX_YELLOW_STRIP_RATING = 41;
const LAST_STEP = 6;
const NOT_SAFE = "NOT_SAFE";
const SAFE = "SAFE";
const SUSPICIOUS = "SUSPICIOUS";
const UNKNOWN = "UNKNOWN";
//MESSAGES
const CLOSE_TAB_MESSAGE = "CLOSE_TAB_MESSAGE";
const CONSOLE_LOG_MESSAGE = "CONSOLE_LOG";
const OPEN_TAB_MESSAGE = "OPEN_TAB_MESSAGE";
const SEND_MESSAGE = "SEND_MESSAGE";
const SERP_SEND_LINKS_MESSAGE = "SERP_SEND_LINKS_MESSAGE";
const RETRY_QUERY_DATA = "RETRY_QUERY_DATA";
const FAS_MESSAGE = "FAS_MESSAGE";
const GAS_MESSAGE = "GAS_MESSAGE";
let root = 'mywot.com';

//POPUP
const WARNING_CONTAINER_SELECTOR = 'warning-container';
const MAIN_PAGE_URL = 'https://' + root + '/';
const FULL_REPORT_URL = 'https://' + root + '/' + chrome.i18n.getUILanguage().replace('_', '-').substring(0, 2) + '/scorecard/';
const USER_URL = 'https://' + root + '/user';
const FORUM_URL = 'https://' + root + '/forum';
const TOUR_URL = 'https://' + root + '/support/tour/';
const DOWNLOAD_URL = 'https://chrome.google.com/webstore/detail/idfjghemicebadpkihdooaaekecoiolg?hl';
const MOBILE_APP_URL = 'https://play.google.com/store/apps/details?id=com.my.wot&referrer=utm_source%3DExtension_Menu';
const OWN_URL = 'https://' + root + '/en/claim-site?target=';
const SHARE_URL = 'https://' + root + '/referral';
const SETTINGS_URL = 'https://' + root + '/settings';
const PRIVACY_POLICY = 'https://' + root + '/en/privacy/privacy_policy';
const TERMS = 'https://' + root + '/en/terms';
const PREFIX_CDN = 'https://cdn-cf.mywot.net/';
const DEFAULT_AVATAR = 'sites/all/themes/wot/images/wot4/img06.jpg';
const BETA_URL = 'https://test-79856.firebaseio.com/beta.json';
const SURVEY_URL = 'https://wotsurveys.typeform.com/to/SpUuYJ';
const SURVEY_SHOW_DELAY = 10 * 24 * 3600 * 1000; // 10 days in ms
const PRIVACY_POLICY_URL = "https://www.mywot.com/en/privacy/privacy_policy";
//ROUTES
const WELCOME_URL_OLD = 'https://www.mywot.com/' + chrome.i18n.getUILanguage().replace('_', '-').substring(0, 2) + '/settings/welcome';
const WELCOME_URL = 'https://' + root + '/welcome';
const OPTIONS_URL = crossbrowserName === 'edge' ? '/options.html' : chrome.runtime.getURL('/options.html');
//EXTERNAL URLS
const FACEBOOK_URL = 'https://goo.gl/PKZTQn';
const FACEBOOK_DIALOG_URL = 'https://www.facebook.com/dialog/feed?handler=wot&app_id=2062054284030378&display=page&';
const FACEBOOK_SHARE_URL = 'https://goo.gl/ex62cM';
const TWITTER_URL = 'https://goo.gl/iZ4Wk6';
const TWITTER_DIALOG_URL = 'https://twitter.com/intent/tweet?';
const TWITTER_SHARE_URL = 'https://goo.gl/cKH4LZ';
const GOOGLE_URL = 'https://goo.gl/EoY76N';
const GOOGLE_DIALOG_URL = 'https://plus.google.com/share?handler=wot&';
const GOOGLE_SHARE_URL = 'https://goo.gl/cKH4LZ';
const ANDROID_POPUP_URL = 'https://play.google.com/store/apps/details?id=com.my.wot&referrer=utm_source%3Dextension%26utm_medium%3Ddirect%26utm_campaign%3Dext_play_store';
const SEND_ME_LINK_URL = 'https://' + root + '/welcome?openModal=true&extension=true';
//GET PARAMETERS
const WARNING_REDIRECT_PARAMETERS = '?utm_source=addon&utm_content=warning-security';
const RED_RIBBON_REDIRECT_PARAMETERS = '?utm_source=addon&utm_content=warning-redribbon';
const YELLOW_RIBBON_REDIRECT_PARAMETERS = '?utm_source=addon&utm_content=warning-yellowribbon';
const MAIN_WINDOW_REDIRECT_PARAMETERS = '?utm_source=addon&utm_content=main_window';
const SETTINGS_REDIRECT_PARAMETERS = '?utm_source=addon&utm_content=settings';
const MAIN_BUTTON_RTP_OFF_PARAMETERS = '?utm_source=addon&utm_content=rtp_off_icon_click';
const GOOGLE_RATING_PARAMETERS = '?utm_source=WOT%20Addon%20Share&utm_medium=Social&utm_campaign=Addon%20Rating%20Google';
const FACEBOOK_RATING_PARAMETERS = '?utm_source=WOT%20Addon%20Share&utm_medium=Social&utm_campaign=Addon%20Rating%20Facebook';
const TWITTER_RATING_PARAMETERS = '?utm_source=WOT%20Addon%20Share&utm_medium=Social&utm_campaign=Addon%20Rating%20Twitter';

const UNINSTALL_URL = "https://" + root + "/en/uninstall_" + crossbrowserName;
const FONTS_URL = 'https://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700&amp;subset=cyrillic';
const CHROME_WEBSTORE_URL = 'https://chrome.google.com/webstore/detail/' + chrome.runtime.id;
const OPERA_WEBSTORE_URL = "https://addons.opera.com/en/extensions/details/wot/";
const FIREFOX_WEBSTORE_URL = 'https://addons.mozilla.org/en-US/firefox/addon/wot-safe-browsing-tool/reviews/add';
const ANDROID_WEBSTORE_URL = 'https://play.google.com/store/apps/details?id=com.my.wot&referrer=utm_source%3DPopup_Extension';
const FEEDBACK_FORM_ACTION = "https://docs.google.com/forms/d/e/1FAIpQLSc09Iow82MyUJlmisP_PK_T4MkPUPNLe7aQ5qGlubPtgKnypw/formResponse";
const REFERRING_TYPE = { code: atob("ZG9jdW1lbnQucmVmZXJyZXI7") };
const PLATFORM_TYPES = {
	CHROME: 'chrome',
	FIREFOX: 'firefox',
	OPERA: 'opera',
	EDGE: 'edge',
	YANDEX: 'yandex',
	SAFARI: 'safari',
	IE: 'ie'
};
const WEB_REQUEST_FILTER = {
	types: ["main_frame"],
	urls: ["<all_urls>"]
};
const ICONS = {
	gray: "images/i0.png",
	red: "images/i1.png",
	yellow: "images/i2.png",
	green: "images/i3.png",
	"red-custom": "images/ic1.png",
	"yellow-custom": "images/ic2.png",
	"green-custom": "images/ic3.png"
};
const CATEGORIES_RULES = {
	bubbles: {
		notSafe: [101, 103, 104],
		suspicious: [202, 206],
		safe: [501]
	},
	warnings: [101, 103, 104, 202, 206 /*, 501*/],
	popup: [101, 103, 104, 401, 202, 206, 402, 403],
	ratingFlow: {
		safety: [101, 103, 104, 202, 206],
		childSafety: [401, 402, 403],
		reputation: [102, /*104,*/105, 205, 203, 204, 201]
	},
	icons: {
		red: [101, 103, 104],
		yellow: [202, 206],
		green: [501]
	}
};
const ACTIVITY_SCORE_RULES = {
	'Rookie': 0,
	'Bronze': 1500,
	'Silver': 3000,
	'Gold': 6000,
	'Platinum': 10000
};
const ALL_CATEGORIES = {
	101: {
		"group": "safety",
		"color": "red",
		"id": 101,
		"description": "MalwareViruses"
	}, 102: {
		"group": "reputation",
		"color": "yellow",
		"id": 102,
		"description": "PoorExperience"
	}, 103: {
		"group": "safety",
		"color": "red",
		"id": 103,
		"description": "Phishing"
	}, 104: {
		"group": "reputation",
		"color": "red",
		"id": 104,
		"description": "Scam"
	}, 105: {
		"group": "reputation",
		"color": "red",
		"id": 105,
		"description": "Illegal"
	}, 201: {
		"group": "reputation",
		"color": "yellow",
		"id": 201,
		"description": "MisleadingUnethical"
	}, 202: {
		"group": "safety",
		"color": "yellow",
		"id": 202,
		"description": "PrivacyRisks",
		"show": true
	}, 203: {
		"group": "reputation",
		"color": "yellow",
		"id": 203,
		"description": "Suspiciousx"
	}, 204: {
		"group": "reputation",
		"color": "yellow",
		"id": 204,
		"description": "HateDiscrimination"
	}, 205: {
		"group": "reputation",
		"color": "yellow",
		"id": 205,
		"description": "Spam"
	}, 206: {
		"group": "safety",
		"color": "yellow",
		"id": 206,
		"description": "UnwantedPrograms"
	}, 302: {
		"group": "reputation",
		"color": "blue",
		"id": 302,
		"description": "AlternativeMedicine"
	}, 303: {
		"group": "reputation",
		"color": "blue",
		"id": 303,
		"description": "OpinionsReligionPolitics"
	}, 501: {
		"group": "reputation",
		"color": "green",
		"id": 501,
		"description": "GoodSite"
	}, 401: {
		"group": "adult",
		"color": "red",
		"id": 401,
		"description": "Adult"
	}, 402: {
		"group": "adult",
		"color": "yellow",
		"id": 402,
		"description": "IncidentalNudity"
	}, 403: {
		"group": "adult",
		"color": "yellow",
		"id": 403,
		"description": "GruesomeShocking"
	}, 404: {
		"group": "adult",
		"color": "green",
		"id": 404,
		"description": "SiteKids"
	}
};
const SHARED_HOSTS = {
	"4sq.com": 1,
	"abcn.ws": 1,
	"aol.it": 1,
	"apne.ws": 1,
	"bbc.in": 1,
	"bzfd.it": 1,
	"clck.ru": 1,
	"cs.pn": 1,
	"d3w.io": 1,
	"dlvr.it": 1,
	"eca.sh": 1,
	"engt.co": 1,
	"es.pn": 1,
	"exm.nr": 1,
	"f.ast.ly": 1,
	"fa.by": 1,
	"flpbd.it": 1,
	"gd.is": 1,
	"ht.ly": 1,
	"huff.to": 1,
	"ind.pn": 1,
	"is.gd": 1,
	"j.mp": 1,
	"lat.ms": 1,
	"lnkd.in": 1,
	"migre.me": 1,
	"n.pr": 1,
	"nblo.gs": 1,
	"nyr.kr": 1,
	"nyti.ms": 1,
	"on.cnn.com": 1,
	"on.mash.to": 1,
	"on.msnbc.com": 1,
	"ow.ly": 1,
	"pep.si": 1,
	"ping.fm": 1,
	"politi.co": 1,
	"post.ly": 1,
	"rww.to": 1,
	"su.pr": 1,
	"t.co": 1,
	"tcrn.ch": 1,
	"tgr.ph": 1,
	"thkpr.gs": 1,
	"tiny.ly": 1,
	"tinyurl.com": 1,
	"tl.gd": 1,
	"tldr.us": 1,
	"to.ly": 1,
	"tr.im": 1,
	"twitter.com": 1,
	"u.to": 1,
	"usat.me": 1,
	"vk.cc": 1,
	"wapo.st": 1,
	"wp.me": 1,
	"x.co": 1,
	"yhoo.it": 1,
	"bit.ly": 2,
	"bitly.com": 2,
	"goo.gl": 2,
	"gu.com": 2,
	"sites.google.com": 2
};