var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

//TOOLTIP
const Tooltip = (_ref) => {
    let className = _ref.className,
        props = _objectWithoutProperties(_ref, ["className"]);

    return React.createElement(
        "div",
        _extends({ className: ["tooltip", className].join(' ') }, props),
        React.createElement("div", { className: "tooltip__button" }),
        React.createElement(
            "div",
            { className: "tooltip__message" },
            props.text
        )
    );
};
Tooltip.propTypes = {
    text: React.PropTypes.string
};
//GREEN BUTTON
const SimpleButton = (_ref2) => {
    let className = _ref2.className;
    var _ref2$type = _ref2.type;

    let type = _ref2$type === undefined ? "green" : _ref2$type,
        props = _objectWithoutProperties(_ref2, ["className", "type"]);

    return React.createElement("div", _extends({
        className: [type + "-button simple-button", className].join(' ')
    }, props));
};
//SOCIAL BUTTON
const SocialButton = (_ref3) => {
    let className = _ref3.className,
        props = _objectWithoutProperties(_ref3, ["className"]);

    return React.createElement("div", _extends({
        className: ["popup-container__footer__follow-btn__social", className].join(' ')
    }, props));
};
//RATING STARS
const RatingStar = (_ref4) => {
    let className = _ref4.className,
        props = _objectWithoutProperties(_ref4, ["className"]);

    return React.createElement("div", _extends({
        className: ["rating-stars-container__item" + props.type, className].join(' ')
    }, props));
};
RatingStar.defaultProps = {
    type: ''
};
const RatingStarsContainer = props => React.createElement(
    "div",
    { className: "rating-stars-container" },
    [0, 30, 60, 80, 100].map(item => React.createElement(RatingStar, { className: props.rating >= item && "rating-stars-container__item_color", type: props.type, onClick: props.type === '' && (() => {
            props.dispatch(clickOnStar(props.host, item, props.userId));
        }) }))
);
RatingStarsContainer.defaultProps = {
    type: '',
    rating: 0
};
const StarsContainer = props => React.createElement(
    "div",
    { className: "rating-stars-container" },
    [1, 2, 3, 4, 5].map(item => React.createElement(RatingStar, { className: "", type: props.type, onClick: !!props.clickStarAction && (() => {
            props.clickStarAction(item);
        }) }))
);
//MODAL WINDOW LOGIN
const ModalMessageLogInSocialBtn = (_ref5) => {
    let props = _objectWithoutProperties(_ref5, []);

    return React.createElement(
        "div",
        { onClick: props.onClick, className: "modal-message__sign-in-container__btn modal-message__sign-in-container__btn_" + props.type },
        React.createElement("span", { className: "rating-sharing__" + props.type + "_icon" }),
        React.createElement(
            "span",
            { className: "modal-message__sign-in-container__btn__text" },
            props.text
        )
    );
};
//FOR SCROLL
const ScrollContainer = (_ref6) => {
    let className = _ref6.className,
        props = _objectWithoutProperties(_ref6, ["className"]);

    return React.createElement(
        "div",
        { style: { width: "100%", height: "37%" } },
        props.scroll === true ? React.createElement(Scrollbars, _extends({ className: className }, props)) : React.createElement("div", _extends({ className: className }, props))
    );
};
//POPUP LOADER
const PopupLoader = (_ref7) => {
    let className = _ref7.className,
        props = _objectWithoutProperties(_ref7, ["className"]);

    return React.createElement(
        "div",
        { className: "popup-loader" },
        React.createElement(
            "svg",
            { className: "popup-loader__item", width: "65px", height: "65px", viewBox: "0 0 66 66", xmlns: "http://www.w3.org/2000/svg" },
            React.createElement("circle", { className: "popup-loader__circle", fill: "none", "stroke-width": "6", "stroke-linecap": "round", cx: "33", cy: "33", r: "30" })
        )
    );
};